PSKC2PSKC(1)

NAME
pskc2pskc - Convert a PSKC file to standard format

SYNOPSIS

pskc2pskc [options] <FILE>

DESCRIPTION

pskc2pskc reads a PSKC file in any of the supported formats, optionally decrypts any encrypted information and outputs a PSKC file in the RFC6030 format, optionally encrypting the file.

OPTIONS

    -h, --help
        Display usage summary.

    -V, --version
        Display version information.

    -o FILE, --output FILE
        By default pskc2pskc writes a PSKC file to stdout. This option can be used to save to a file instead.

    -p PASS/FILE, --password PASS/FILE, --passwd PASS/FILE
        The password to use for decryption. If the argument refers to a file the password is read from the file instead.

    -s KEY/FILE, --secret KEY/FILE
        A hex encoded encryption key or a file containing the binary (raw data, not encoded) key used for decryption.

    --new-password PASS/FILE, --new-passwd PASS/FILE
        Output an encrypted PSKC file that is protected with the specified password (or read the password from the file if a file argument was specified).

    --new-secret KEY/FILE
        Ensure that the output PSKC file is encrypted with the specified key value. The key can be probded as a hex-encoded value or point to a file that contains the binary value of the key.

AUTHOR
Arthur de Jong

COPYRIGHT
2014-2019 Arthur de Jong